fp2anim(1)

NAME
fp2anim - convert a gEDA/PCB footprint to animator script

SYNPOSIS

fp2anim [options] [inputfile]

DECSRIPTION

fp2anim converts a footprint to a script that can be run through animator(1). It's main use is to have a automated, light-weight footprint preview generator on hosts where installing pcb-rnd would be too expensive (e.g. on web servers).

If inputfile is not specified, fp2anim reads its STDIN for the footprint.

OPTIONS

--photo
    draw the footprint in "photo realistic mode"

-p  same as --photo

--grid unit
    set grid unit e.g. to mm or mil

-g unit
    same as --grid

--mm
    use an mm grid instead of a mil grid; shorthand for -g mm

--diamond
    draw a small diamond to mark at footprint origin

--annotation types
    turn on annotation types; types is a string that may consist "pins" for pin numbers, "dimname" and "dimvalue" for dimension names and values and "background" for drawing a background under annotation text